package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author jiaohongyang
 */

@AllArgsConstructor
public enum RzhYesornoEnum {
    /**
     * 是否认证0未认证，1已认证抵扣，2已认证不抵扣
     */

    A("0", "未认证"), B("1", "已认证抵扣"), C("2", "已认证不抵扣"), D("3", "退税认证");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (RzhYesornoEnum materialEnum : RzhYesornoEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
